Both Dynamics AX 2009 as Dynamics AX 4.0 support Windows Server 2008 and SQL Server 2008

http://www.microsoft.com/dynamics/ax/product/systemrequirements.mspx

 

Note: for the reporting tools AX2009 and SQL 2008, you need some updates coming with sp1 for Ax2009.

For AX 4.0 the minimum requirement to run Windows Server 2008 and SQL 2008 is 4.0 SP2

http://www.microsoft.com/dynamics/ax/using/40systemrequirements.mspx

AX 3.0 does not support these new Windows and SQL versions. Please keep in mind that AX 3.0 will be out of support as of Januari 13th 2009.

http://support.microsoft.com/lifecycle/search/default.aspx?sort=PN&alpha=Ax&Filter=FilterNO